<?php
rg_log("FILE: /inc/admin/users/users");

$_admin_users = "";

$_op = empty($paras) ? "list" : array_shift($paras);
$target = empty($paras) ? "" : array_shift($paras);
$target_ui = rg_user_info($db, 0, $target, "");

// menu
$_m = array(
	"list" => array(
		"text" => "List users",
		"op" => "list"
	),
	"add" => array(
		"text" => "Add user",
		"op" => "add"
	)
);
rg_menu_add($rg_menu, $_m, $_op);

// TODO: security: CSRF!
$_show_list = 1;
switch ($_op) {
case 'add': // add
case 'edit': // edit
	$rg['ask_for_pass'] = 1;
	$_admin_users .= rg_user_edit_high_level($db, $rg);
	$_show_list = 0;
	break;

case 'suspend':
	if (!rg_user_suspend($db, $rg, $target_ui, 1))
		$_admin_users .= rg_template("admin/users/bad_suspend.html");
	break;

case 'unsuspend':
	if (!rg_user_suspend($db, $rg, $target_ui, 0))
		$_admin_users .= rg_template("admin/users/bad_unsuspend.html");
	break;

case 'make_admin':
	if (!rg_user_make_admin($db, $rg, $target_ui, 1))
		$_admin_users .= rg_template("admin/users/bad_admin.html");
	break;

case 'remove_admin':
	if (!rg_user_make_admin($db, $rg, $target_ui, 0))
		$_admin_users .= rg_template("admin/users/bad_unadmin.html");
	break;

case 'remove':
	if (!rg_user_remove($db, $rg, $target_ui))
		$_admin_users .= rg_template("admin/users/bad_remove.html");
	break;
}

if ($_show_list == 1)
	$_admin_users .= rg_user_list($db);

?>
