<?php
rg_log("FILE: /inc/user/repo/bug/search/search");

$_bug_search = "";
$errmsg = array();

$_x = array();
if ($rg['doit'] == 0) {
	// defaults
	$_x['reported_by'] = "";
	$_x['assigned_to'] = "";
	$_x['state'] = 0;
	$_x['order_by'] = "";
	$_x['include'] = "";
	$_x['exclude'] = "";
	$_x['start'] = "";
	$_x['end'] = "";
	$_x['title_string'] = "";
	$_x['body_string'] = "";
	$_x['bugs_per_page'] = 25;
	$_x['for_all_users'] = "off";
	$_x['global'] = "off";
	$_x['name'] = "";
} else {
	$_x['reported_by'] = rg_var_str("reported_by");
	$_x['assigned_to'] = rg_var_str("assigned_to");
	$_x['state'] = rg_var_uint("state");
	$_x['order_by'] = rg_var_str("order_by");
	$_x['include'] = rg_var_str("include");
	$_x['exclude'] = rg_var_str("exclude");
	$_x['start'] = rg_var_str("start");
	$_x['end'] = rg_var_str("end");
	$_x['title_string'] = rg_var_str("title_string");
	$_x['body_string'] = rg_var_str("body_string");
	$_x['bugs_per_page'] = rg_var_uint("bugs_per_page");
	$_x['for_all_users'] = rg_var_str("for_all_users");
	$_x['global'] = rg_var_str("global");
	$_x['name'] = rg_var_str("name");
	$_x['standard'] = 0;

	while (1) {
		$bugs = rg_bug_search($db, $rg['ri']['repo_id'],
			$rg['login_ui']['uid'], $_x);
		if ($bugs === FALSE) {
			$errmsg[] = "Cannot search bug (" . rg_bug_error() . ").";
			break;
		}

		// Show bugs
		$_bug_search .= rg_template_table("repo/bug/list", $bugs, $rg);
		break;
	}
}

$rg = array_merge($rg, $_x);
$rg['HTML:errmsg'] = rg_template_errmsg($errmsg);
$_exclude = array();
$rg['HTML:state_select'] = rg_bug_state_select($_x['state'], $_exclude);
$_bug_search .= rg_template("repo/bug/search/search.html", $rg);
?>
